Index: src/edu/ucsb/nceas/metacat/DocumentImpl.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 2663)
@@ -3508,12 +3507,12 @@
             double insertTime = (stopTime - connTime) / 1000;
             double executionTime = (stopTime - startTime) / 1000;
             if (showRuntime) {
-                MetaCatUtil.debugMessage("\n\nTotal Execution time was: "
-                        + executionTime + " seconds.", 10);
-                MetaCatUtil.debugMessage("Time to open DB connection was: "
-                        + dbOpenTime + " seconds.", 10);
-                MetaCatUtil.debugMessage("Time to insert document was: " + insertTime
-                        + " seconds.", 10);
+                logMetacat.warn("\n\nTotal Execution time was: "
+                        + executionTime + " seconds.");
+                logMetacat.warn("Time to open DB connection was: "
+                        + dbOpenTime + " seconds.");
+                logMetacat.warn("Time to insert document was: " + insertTime
+                        + " seconds.");
             }
             dbconn.close();
         } catch (McdbException me) {
@@ -3550,7 +3549,7 @@
             {
                 createDate = dbAdapter.toDate(createDate, "YYYY-MM-DD HH24:MI:SS");
             }
-            MetaCatUtil.debugMessage("the create date is "+createDate, 30);
+            logMetacat.info("the create date is "+createDate);
             if (updateDate == null)
             {
                 updateDate = dbAdapter.getDateTimeFunction();
@@ -3559,10 +3558,10 @@
             {
                 updateDate = dbAdapter.toDate(updateDate, "YYYY-MM-DD HH24:MI:SS");
             }
-            MetaCatUtil.debugMessage("the update date is "+updateDate, 30);
+            logMetacat.info("the update date is "+updateDate);
             PreparedStatement pstmt = null;
             String sql = null;
-            MetaCatUtil.debugMessage("the root node id is "+rootNodeId, 20);
+            logMetacat.info("the root node id is "+rootNodeId);
             if (rootNodeId <= 0)
             {
             	// this is for data file, not rootnodeid need
@@ -3588,32 +3587,32 @@
 
             // Bind the values to the query
             pstmt.setString(1, docId);
-            MetaCatUtil.debugMessage("docid is "+docId, 50);
+            logMetacat.info("docid is "+docId);
             pstmt.setString(2, docName);
-            MetaCatUtil.debugMessage("docname is "+docName, 50);
+            logMetacat.info("docname is "+docName);
             pstmt.setString(3, docType);
-            MetaCatUtil.debugMessage("docType is "+docType, 50);
+            logMetacat.info("docType is "+docType);
             pstmt.setString(4, user);
-            MetaCatUtil.debugMessage("onwer is "+user, 50);
+            logMetacat.info("onwer is "+user);
             pstmt.setString(5, user);
-            MetaCatUtil.debugMessage("update user is "+user, 50);
+            logMetacat.info("update user is "+user);
             pstmt.setInt(6, 0);
             pstmt.setInt(7, (new Integer(catalogid)).intValue());
-            MetaCatUtil.debugMessage("catalogid is "+catalogid, 50);
+            logMetacat.info("catalogid is "+catalogid);
             pstmt.setInt(8, serverCode);
-            MetaCatUtil.debugMessage("server code is "+serverCode, 50);
+            logMetacat.info("server code is "+serverCode);
             pstmt.setInt(9, Integer.parseInt(rev));
-            MetaCatUtil.debugMessage("rev is "+rev, 50);
+            logMetacat.info("rev is "+rev);
             
             if (rootNodeId >0 )
             {
               pstmt.setLong(10, rootNodeId);
-              MetaCatUtil.debugMessage("root id is "+rootNodeId, 50);
+              logMetacat.info("root id is "+rootNodeId);
             }
             // Do the insertion
             pstmt.execute();
             pstmt.close();
-            MetaCatUtil.debugMessage("end of write into revisons", 50);
+            logMetacat.info("end of write into revisons");
            
         } 
         catch (SQLException sqle) 
Index: src/edu/ucsb/nceas/metacat/AddMissedSubTreeSAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AddMissedSubTreeSAXHandler.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/AddMissedSubTreeSAXHandler.java	(revision 2663)
@@ -38,6 +38,7 @@
 import java.util.Enumeration;
 import java.util.EmptyStackException;
 
+import org.apache.log4j.Logger;
 import org.xml.sax.Attributes;
 import org.xml.sax.SAXException;
 import org.xml.sax.SAXParseException;
@@ -62,7 +63,8 @@
    private static final String ID ="id";
    private static final String REFERENCES = "references";
    public  static final String INLINE = "inline";
-      
+   private Logger logMetacat = Logger.getLogger(AddMissedSubTreeSAXHandler.class);
+   
   
     /** Construct an instance of the handler class
     * In this constructor, user can specify the version need to upadate
@@ -118,9 +120,7 @@
    public void endElement(String uri, String localName,
                           String qName) throws SAXException 
   {
-     MetaCatUtil.logMetacat.info("End ELEMENT " + qName);
-
-   
+     logMetacat.info("End ELEMENT " + qName);
    }
    
 }
Index: src/edu/ucsb/nceas/metacat/ReplicationHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ReplicationHandler.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/ReplicationHandler.java	(revision 2663)
@@ -35,6 +35,8 @@
 import java.io.*;
 import java.net.*;
 import java.text.*;
+
+import org.apache.log4j.Logger;
 import org.xml.sax.AttributeList;
 import org.xml.sax.ContentHandler;
 import org.xml.sax.DTDHandler;
@@ -61,7 +63,7 @@
   ReplicationServerList serverList = null;
   //PrintWriter out;
   private static final AbstractDatabase dbAdapter = MetaCatUtil.dbAdapter;
-
+  private static Logger logMetacat = Logger.getLogger(ReplicationHandler.class);
  
   
   public ReplicationHandler()
@@ -99,8 +101,8 @@
     }//try
     catch (Exception e)
     {
-      MetaCatUtil.debugMessage("Error in replicationHandler.run():"
-                                                    +e.getMessage(), 30);
+      logMetacat.error("Error in replicationHandler.run():"
+                                                    +e.getMessage());
       e.printStackTrace();
     }//catch
   }
@@ -143,8 +145,8 @@
     {
       MetacatReplication.replErrorLog("Failed to replicate becaue couldn't "+
                                  " initParser for message and" +e.getMessage());
-      MetaCatUtil.debugMessage("Failed to replicate becaue couldn't " +
-                            " initParser for message and " +e.getMessage(), 30);
+      logMetacat.error("Failed to replicate becaue couldn't " +
+                            " initParser for message and " +e.getMessage());
        // stop replication
        return;
     }
@@ -163,7 +165,7 @@
         {
           u = new URL("https://" + server + "?server="
           +util.getLocalReplicationServerName()+"&action=update");
-          MetaCatUtil.debugMessage("Sending infomation " +u.toString(), 50);
+          logMetacat.info("Sending infomation " +u.toString());
           result = MetacatReplication.getURLContent(u);
         }
         catch (Exception e)
@@ -170,19 +172,19 @@
         {
           MetacatReplication.replErrorLog("Failed to get updated doc list "+
                           "for server " + server + " because "+e.getMessage());
-          MetaCatUtil.debugMessage( "Failed to get updated doc list "+
-                       "for server " + server + " because "+e.getMessage(), 30);
+          logMetacat.error( "Failed to get updated doc list "+
+                       "for server " + server + " because "+e.getMessage());
           continue;
         }
 
-        MetaCatUtil.debugMessage("docid: "+server+" "+result, 50);
+        logMetacat.info("docid: "+server+" "+result);
         //check if result have error or not, if has skip it.
         if (result.indexOf("<error>")!=-1 && result.indexOf("</error>")!=-1)
         {
           MetacatReplication.replErrorLog("Failed to get updated doc list "+
                           "for server " + server + " because "+result);
-          MetaCatUtil.debugMessage( "Failed to get updated doc list "+
-                       "for server " + server + " because "+result, 30);
+          logMetacat.info( "Failed to get updated doc list "+
+                       "for server " + server + " because "+result);
           continue;
         }
         //Add result to vector
@@ -195,14 +197,14 @@
     {
         MetacatReplication.replErrorLog("No updated doc list for "+
                            "every server and failed to replicate");
-        MetaCatUtil.debugMessage( "No updated doc list for "+
-                           "every server and failed to replicate", 30);
+        logMetacat.info( "No updated doc list for "+
+                           "every server and failed to replicate");
         return;
     }
 
 
-    MetaCatUtil.debugMessage("Responses from remote metacat about updated "+
-                   "document information: "+ responses.toString(), 35);
+    logMetacat.info("Responses from remote metacat about updated "+
+                   "document information: "+ responses.toString());
     // go through response vector(it contains updated vector and delete vector
     for(int i=0; i<responses.size(); i++)
     {
@@ -216,8 +218,8 @@
         {
           MetacatReplication.replErrorLog("Couldn't parse one responses "+
                            "because "+ e.getMessage());
-          MetaCatUtil.debugMessage("Couldn't parse one responses "+
-                                   "because "+ e.getMessage(), 30);
+          logMetacat.error("Couldn't parse one responses "+
+                                   "because "+ e.getMessage());
           continue;
         }
         //v is the list of updated documents
@@ -226,8 +228,8 @@
         //d is the list of deleted documents
         Vector deleteList = new Vector(message.getDeletesVect());
         //System.out.println("d: " + d.toString());
-        MetaCatUtil.debugMessage("Update vector size: "+ updateList.size(), 40);
-        MetaCatUtil.debugMessage("Delete vector size: "+ deleteList.size(),40);
+        logMetacat.info("Update vector size: "+ updateList.size());
+        logMetacat.info("Delete vector size: "+ deleteList.size());
         // go though every element in updated document vector
         handleDocList(updateList, DocumentImpl.DOCUMENTTABLE);
         //handle deleted docs
@@ -293,8 +295,8 @@
       {
          throw new Exception(newxmldoc);
       }
-      //MetaCatUtil.debugMessage("xml documnet:", 45);
-      //MetaCatUtil.debugMessage(newxmldoc, 45);
+      //logMetacat.info("xml documnet:");
+      //logMetacat.info(newxmldoc);
 
       // Try get the docid info from remote server
       DocInfoHandler dih = new DocInfoHandler();
@@ -304,22 +306,22 @@
                        "&action=getdocumentinfo&docid="+accNumber;
       docInfoURLStr = MetaCatUtil.replaceWhiteSpaceForURL(docInfoURLStr);
       URL docinfoUrl = new URL(docInfoURLStr);
-      MetaCatUtil.debugMessage("Sending message: " +
-                                                  docinfoUrl.toString(), 45);
+      logMetacat.info("Sending message: " +
+                                                  docinfoUrl.toString());
       String docInfoStr = MetacatReplication.getURLContent(docinfoUrl);
       docinfoParser.parse(new InputSource(new StringReader(docInfoStr)));
       Hashtable docinfoHash = dih.getDocInfo();
       // Get home server of the docid
       String docHomeServer = (String)docinfoHash.get("home_server");
-      MetaCatUtil.debugMessage("doc home server in repl: "+docHomeServer, 45);
+      logMetacat.info("doc home server in repl: "+docHomeServer);
       String createdDate = (String)docinfoHash.get("date_created");
       String updatedDate = (String)docinfoHash.get("date_updated");
       //docid should include rev number too
       /*String accnum=docId+util.getOption("accNumSeparator")+
                                               (String)docinfoHash.get("rev");*/
-      MetaCatUtil.debugMessage("docid in repl: "+accNumber, 45);
+      logMetacat.info("docid in repl: "+accNumber);
       String docType = (String)docinfoHash.get("doctype");
-      MetaCatUtil.debugMessage("doctype in repl: "+docType, 45);
+      logMetacat.info("doctype in repl: "+docType);
 
       String parserBase = null;
       // this for eml2 and we need user eml2 parser
@@ -349,7 +351,7 @@
                               remoteserver, tableName, true,// true is for time replication 
                               createdDate,
                               updatedDate);
-      MetaCatUtil.debugMessage("Successfully replicated doc " + accNumber, 35);
+      logMetacat.info("Successfully replicated doc " + accNumber);
       MetacatReplication.replLog("wrote doc " + accNumber + " from " +
                                          remoteserver);
 
@@ -358,8 +360,8 @@
     {
       MetacatReplication.replErrorLog("Failed to write doc " + accNumber +
                                       " into db because " +e.getMessage());
-      MetaCatUtil.debugMessage("Failed to write doc " + accNumber +
-                                      " into db because " +e.getMessage(), 30);
+      logMetacat.error("Failed to write doc " + accNumber +
+                                      " into db because " +e.getMessage());
       throw e;
     }
     finally
@@ -376,7 +378,7 @@
                                     String accNumber, String tableName)
                throws Exception
   {
-    MetaCatUtil.debugMessage("Try to replicate data file: "+accNumber, 40);
+    logMetacat.info("Try to replicate data file: "+accNumber);
     DBConnection dbConn = null;
     int serialNumber = -1;
     try
@@ -436,13 +438,13 @@
                                                 createdDate,
                                                 updatedDate);
                                          
-        MetaCatUtil.debugMessage("Successfully to write datafile " + accNumber, 30);
+        logMetacat.info("Successfully to write datafile " + accNumber);
         MetacatReplication.replLog("wrote datafile " + accNumber + " from " +
                                     remoteserver);
       }//if
       else
       {
-         MetaCatUtil.debugMessage("Couldn't open the data file: " + accNumber, 30);
+         logMetacat.info("Couldn't open the data file: " + accNumber);
          throw new Exception("Couldn't open the data file: " + accNumber);
       }//else
 
@@ -451,8 +453,8 @@
     {
       MetacatReplication.replErrorLog("Failed to try wrote datafile " + accNumber +
                                       " because " +e.getMessage());
-      MetaCatUtil.debugMessage("Failed to try wrote datafile " + accNumber +
-                                      " because " +e.getMessage(), 30);
+      logMetacat.error("Failed to try wrote datafile " + accNumber +
+                                      " because " +e.getMessage());
       throw e;
     }
     finally
@@ -468,7 +470,7 @@
   private void handleDeleteSingleDocument(String docId, String notifyServer)
                throws Exception
   {
-    MetaCatUtil.debugMessage("Try delete doc: "+docId, 40);
+    logMetacat.info("Try delete doc: "+docId);
     DBConnection dbConn = null;
     int serialNumber = -1;
     try
@@ -485,7 +487,7 @@
          String accnum=docId+util.getOption("accNumSeparator")+"1";
          //System.out.println("accnum: "+accnum);
          DocumentImpl.delete(accnum, null, null, notifyServer);
-         MetaCatUtil.debugMessage("Successfully deleted doc " + docId, 30);
+         logMetacat.info("Successfully deleted doc " + docId);
          MetacatReplication.replLog("Doc " + docId + " deleted");
       }
 
@@ -494,8 +496,8 @@
     {
       MetacatReplication.replErrorLog("Failed to delete doc " + docId +
                                       " in db because " +e.getMessage());
-      MetaCatUtil.debugMessage("Failed to delete doc " + docId +
-                                 " in db because because " +e.getMessage(), 30);
+      logMetacat.error("Failed to delete doc " + docId +
+                                 " in db because because " + e.getMessage());
       throw e;
     }
     finally
@@ -520,12 +522,12 @@
              getDBConnection("ReplicationHandler.updateLastCheckTimeForServer");
       serialNumber=dbConn.getCheckOutSerialNumber();
 
-      MetaCatUtil.debugMessage("Try to update last_check for server: "+server, 40);
+      logMetacat.info("Try to update last_check for server: "+server);
       // Get time from remote server
       URL dateurl = new URL("https://" + server + "?server="+
       util.getLocalReplicationServerName()+"&action=gettime");
       String datexml = MetacatReplication.getURLContent(dateurl);
-      MetaCatUtil.debugMessage("datexml: "+datexml, 45);
+      logMetacat.info("datexml: "+datexml);
       if (datexml!=null && !datexml.equals(""))
       {
          String datestr = datexml.substring(11, datexml.indexOf('<', 11));
@@ -541,15 +543,15 @@
          pstmt.executeUpdate();
          dbConn.commit();
          pstmt.close();
-         MetaCatUtil.debugMessage("last_checked updated to "+datestr+" on "
-                                      + server, 45);
+         logMetacat.info("last_checked updated to "+datestr+" on "
+                                      + server);
       }//if
       else
       {
 
-         MetaCatUtil.debugMessage("Failed to update last_checked for server "  +
+         logMetacat.info("Failed to update last_checked for server "  +
                                   server + " in db because couldn't get time "
-                                  , 30);
+                                  );
          throw new Exception("Couldn't get time for server "+ server);
       }
 
@@ -557,9 +559,9 @@
     catch(Exception e)
     {
 
-      MetaCatUtil.debugMessage("Failed to update last_checked for server " +
+      logMetacat.error("Failed to update last_checked for server " +
                                 server + " in db because because " +
-                                e.getMessage(), 30);
+                                e.getMessage());
       throw e;
     }
     finally
@@ -576,7 +578,7 @@
    */
   private void updateCatalog()
   {
-    MetaCatUtil.debugMessage("Start of updateCatalog", 35 );
+    logMetacat.info("Start of updateCatalog");
     // ReplicationServer object in server list
     ReplicationServer replServer = null;
     PreparedStatement pstmt = null;
@@ -597,7 +599,7 @@
         // Try to get catalog
         URL u = new URL("https://" + server + "?server="+
         util.getLocalReplicationServerName()+"&action=getcatalog");
-        MetaCatUtil.debugMessage("sending message " + u.toString(), 50);
+        logMetacat.info("sending message " + u.toString());
         String catxml = MetacatReplication.getURLContent(u);
 
         // Make sure there are not error, no empty string
@@ -605,7 +607,7 @@
         {
           throw new Exception("Couldn't get catalog list form server " +server);
         }
-        MetaCatUtil.debugMessage("catxml: " + catxml, 40);
+        logMetacat.info("catxml: " + catxml);
         CatalogMessageHandler cmh = new CatalogMessageHandler();
         XMLReader catparser = initParser(cmh);
         catparser.parse(new InputSource(new StringReader(catxml)));
@@ -639,7 +641,7 @@
         for(int i=0; i<localCatalog.size(); i++)
         {
           Vector v = new Vector((Vector)localCatalog.elementAt(i));
-          MetaCatUtil.debugMessage("v1: " + v.toString(), 50);
+          logMetacat.info("v1: " + v.toString());
           publicId.add(new String((String)v.elementAt(3)));
           //System.out.println("adding " + (String)v.elementAt(3));
         }
@@ -648,8 +650,8 @@
       {
         MetacatReplication.replErrorLog("Failed to update catalog for server "+
                                     server + " because " +e.getMessage());
-        MetaCatUtil.debugMessage("Failed to update catalog for server "+
-                                    server + " because " +e.getMessage(), 30);
+        logMetacat.error("Failed to update catalog for server "+
+                                    server + " because " +e.getMessage());
       }//catch
 
       for(int i=0; i<remoteCatalog.size(); i++)
@@ -668,8 +670,8 @@
             //System.out.println("i: " + i);
             //System.out.println("remoteCatalog.size(): " + remoteCatalog.size());
             //System.out.println("publicID: " + publicId.toString());
-            MetaCatUtil.debugMessage
-                              ("v.elementAt(3): " + (String)v.elementAt(3), 50);
+            logMetacat.info
+                              ("v.elementAt(3): " + (String)v.elementAt(3));
            if(!publicId.contains(v.elementAt(3)))
            { //so we don't have this public id in our local table so we need to
              //add it.
@@ -689,8 +691,8 @@
              pstmt.close();
              MetacatReplication.replLog("Success fully to insert new publicid "+
                                (String)v.elementAt(3) + " from server"+server);
-             MetaCatUtil.debugMessage("Success fully to insert new publicid "+
-                             (String)v.elementAt(3) + " from server" +server, 30);
+             logMetacat.info("Success fully to insert new publicid "+
+                             (String)v.elementAt(3) + " from server" +server);
            }
         }
         catch(Exception e)
@@ -697,8 +699,8 @@
         {
            MetacatReplication.replErrorLog("Failed to update catalog for server "+
                                     server + " because " +e.getMessage());
-           MetaCatUtil.debugMessage("Failed to update catalog for server "+
-                                    server + " because " +e.getMessage(), 30);
+           logMetacat.error("Failed to update catalog for server "+
+                                    server + " because " +e.getMessage());
         }//catch
         finally
         {
@@ -706,7 +708,7 @@
         }//finall
       }//for remote catalog
     }//for server list
-    MetaCatUtil.debugMessage("End of updateCatalog", 35);
+    logMetacat.info("End of updateCatalog");
   }
 
   /**
@@ -780,8 +782,8 @@
     }
     catch(Exception e)
     {
-      MetaCatUtil.debugMessage("error in ReplicationHandler.alreadyDeleted: " +
-                          e.getMessage(), 30);
+      logMetacat.error("error in ReplicationHandler.alreadyDeleted: " +
+                          e.getMessage());
       throw e;
     }
     finally
@@ -792,8 +794,8 @@
       }//try
       catch (SQLException ee)
       {
-        MetaCatUtil.debugMessage("Error in replicationHandler.alreadyDeleted "+
-                          "to close pstmt: "+ee.getMessage(), 30);
+        logMetacat.error("Error in replicationHandler.alreadyDeleted "+
+                          "to close pstmt: "+ee.getMessage());
         throw ee;
       }//catch
       finally
@@ -854,7 +856,7 @@
      Date currentTime = parseTime(currentTimeString); 
      if ( currentTime.getTime() >= givenDate.getTime())
      {
-        MetaCatUtil.debugMessage("Today already pass the given time, we should set it as tomorrow", 30);
+        logMetacat.info("Today already pass the given time, we should set it as tomorrow");
         String dateAndTime = getDateString(now) + " " + givenTime;
         Date combinationDate = parseDateTime(dateAndTime);
         // new date should plus 24 hours to make is the second day
@@ -862,11 +864,11 @@
      }
      else
      {
-         MetaCatUtil.debugMessage("Today haven't pass the given time, we should it as today", 2);
+         logMetacat.info("Today haven't pass the given time, we should it as today");
          String dateAndTime = getDateString(now) + " " + givenTime;
          newDate = parseDateTime(dateAndTime);
      }
-     MetaCatUtil.debugMessage("final setting time is "+ newDate.toString(), 20);
+     logMetacat.warn("final setting time is "+ newDate.toString());
      return newDate;
   }
 
@@ -879,8 +881,8 @@
   {
     DateFormat format = DateFormat.getTimeInstance(DateFormat.SHORT);
     Date time = format.parse(timeString); 
-    MetaCatUtil.debugMessage("Date string is after parse a time string "
-                              +time.toString(), 50);
+    logMetacat.info("Date string is after parse a time string "
+                              +time.toString());
     return time;
 
   }
@@ -893,8 +895,8 @@
   {
     DateFormat format = DateFormat.getDateTimeInstance(DateFormat.LONG, DateFormat.SHORT);
     Date time = format.parse(timeString);
-    MetaCatUtil.debugMessage("Date string is after parse a time string "+
-                             time.toString(), 50);
+    logMetacat.info("Date string is after parse a time string "+
+                             time.toString());
     return time;
   }
   
@@ -905,7 +907,7 @@
   {
      DateFormat df = DateFormat.getDateInstance(DateFormat.LONG);
      String s = df.format(now);
-     MetaCatUtil.debugMessage("Today is " + s, 50);
+     logMetacat.info("Today is " + s);
      return s;
   }
   
@@ -916,7 +918,7 @@
   {
      DateFormat df = DateFormat.getTimeInstance(DateFormat.SHORT);
      String s = df.format(now);
-     MetaCatUtil.debugMessage("Time is " + s, 50);
+     logMetacat.info("Time is " + s);
      return s;
   }
   
@@ -945,10 +947,10 @@
          //System.out.println("w: " + w.toString());
          // Get docid
          String docid = (String)w.elementAt(0);
-         MetaCatUtil.debugMessage("docid: " + docid, 40);
+         logMetacat.info("docid: " + docid);
          // Get revision number
          int rev = Integer.parseInt((String)w.elementAt(1));
-         MetaCatUtil.debugMessage("rev: " + rev, 40);
+         logMetacat.info("rev: " + rev);
          // Get remote server name (it is may not be doc homeserver because
          // the new hub feature
          String remoteServer = (String)w.elementAt(2);
@@ -972,8 +974,8 @@
          }
          catch (Exception e)
          {
-             MetaCatUtil.debugMessage("error to handle update doc in "+ 
-                     tableName +" in time replication"+e.getMessage(), 30);
+             logMetacat.error("error to handle update doc in "+ 
+                     tableName +" in time replication"+e.getMessage());
              continue;
          }
         
@@ -997,14 +999,14 @@
        }
        catch (SQLException e)
        {
-         MetaCatUtil.debugMessage("Local rev for docid "+ docid + " could not "+
-                                " be found because " + e.getMessage(), 45);
+         logMetacat.error("Local rev for docid "+ docid + " could not "+
+                                " be found because " + e.getMessage());
          MetacatReplication.replErrorLog("Docid "+ docid + " could not be "+
                  "written because error happend to find it's local revision");
          throw new Exception (e.getMessage());
        }
-       MetaCatUtil.debugMessage("Local rev for docid "+ docid + " is "+
-                               localrev, 45);
+       logMetacat.info("Local rev for docid "+ docid + " is "+
+                               localrev);
 
        //check the revs for an update because this document is in the
        //local DB, it might be out of date.
@@ -1068,9 +1070,9 @@
                                         throws Exception
    {
        // compare the update rev and local rev to see what need happen
-       MetaCatUtil.debugMessage("In handle repliation revsion table", 50);
-       MetaCatUtil.debugMessage("the docid is "+ docid, 50);
-       MetaCatUtil.debugMessage("The rev is "+rev, 50);
+       logMetacat.info("In handle repliation revsion table");
+       logMetacat.info("the docid is "+ docid);
+       logMetacat.info("The rev is "+rev);
        Vector localrev = null;
        String action = "INSERT";
        boolean flag = false;
@@ -1080,14 +1082,14 @@
        }
        catch (SQLException e)
        {
-         MetaCatUtil.debugMessage("Local rev for docid "+ docid + " could not "+
-                                " be found because " + e.getMessage(), 45);
+         logMetacat.error("Local rev for docid "+ docid + " could not "+
+                                " be found because " + e.getMessage());
          MetacatReplication.replErrorLog("Docid "+ docid + " could not be "+
                  "written because error happend to find it's local revision");
          throw new Exception (e.getMessage());
        }
-       MetaCatUtil.debugMessage("rev list in xml_revision table for docid "+ docid + " is "+
-                               localrev.toString(), 45);
+       logMetacat.info("rev list in xml_revision table for docid "+ docid + " is "+
+                               localrev.toString());
        
        // if the rev is not in the xml_revision, we need insert it
        if (!localrev.contains(new Integer(rev)))
Index: src/edu/ucsb/nceas/metacat/DBSAXNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXNode.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/DBSAXNode.java	(revision 2663)
@@ -32,6 +32,7 @@
 import java.util.Hashtable;
 import java.util.Enumeration;
 //import oracle.jdbc.driver.*;
+import org.apache.log4j.Logger;
 import org.xml.sax.SAXException;
 
 import edu.ucsb.nceas.dbadapter.AbstractDatabase;
@@ -45,6 +46,7 @@
   private DBConnection	connection;
   private DBSAXNode	parentNode;
   private static final AbstractDatabase dbAdapter = MetaCatUtil.dbAdapter;
+  private Logger logMetacat = Logger.getLogger(DBSAXNode.class);
 
   /**
    * Construct a new node instance for DOCUMENT nodes
@@ -144,7 +146,7 @@
 
         // Increase DBConnection usage count
         connection.increaseUsageCount(1);
-        MetaCatUtil.debugMessage("INSERTING DOCNAME: " + nodename, 35);
+        logMetacat.info("INSERTING DOCNAME: " + nodename);
       } else {
           if(data != null && !data.trim().equals("")
              && !data.trim().equals("NaN")){
@@ -296,7 +298,7 @@
     {
 
       PreparedStatement pstmt;
-      MetaCatUtil.debugMessage("Insert dtd into db: "+nodename +" "+data, 45);
+      logMetacat.info("Insert dtd into db: "+nodename +" "+data);
       if(data != null && !data.trim().equals("")){
             try{
                 double numberData = Double.parseDouble(data);
